require('../app');
// require('select2/dist/js/select2.min.js')

// Sidebar Tree View Menu
(function () {
	"use strict";

	var treeviewMenu = $('.app-menu');

	// Toggle Sidebar
	$('[data-toggle="sidebar"]').click(function(event) {
		event.preventDefault();
		$('.app').toggleClass('sidenav-toggled');
	});

	// Activate sidebar treeview toggle
	$("[data-toggle='treeview']").click(function(event) {
		event.preventDefault();
		if(!$(this).parent().hasClass('is-expanded')) {
			treeviewMenu.find("[data-toggle='treeview']").parent().removeClass('is-expanded');
		}
		$(this).parent().toggleClass('is-expanded');
	});

	// Set initial active toggle
	$("[data-toggle='treeview.'].is-expanded").parent().toggleClass('is-expanded');

	//Activate bootstrip tooltips
	$("[data-toggle='tooltip']").tooltip();

})();
// price ،
  $('input.price').keyup(function () {
    const price = $(this).val().replace(/[^0-9]+/g, '');
    $(this).val(new Intl.NumberFormat().format(price));
  });
// use the select2

  $(document).ready(function () {
    $('.select2').select2();
  });
